منصة استقل للإعلانات وخدمات السيو

Login Sign Up

Integration Guide

Getting Started

Master the integration of منصة استقل للإعلانات وخدمات السيو into your digital ecosystem with step-by-step instructions and code samples.

1

Create Your App

Define your application name, domain, and redirect URIs in the developer dashboard to receive your unique Client ID and Secret.

Info: Prepare your public domain, callback URLs, and requested scopes before submitting the app for review.

Client ID Keep these credentials private and rotate the secret immediately if it is ever exposed.
2

Configure OAuth 2.0

Implement the Authorization Code flow to allow members to securely grant access to their data and identity.

Authorization URL
https://ads.estaql.com/oauth/authorize?
client_id=YOUR_CLIENT_ID&
redirect_uri=YOUR_URL&
response_type=code&
scope=dev_scope_identity_read
3

Deploy & Integrate

Use our comprehensive code samples to connect your backend or embed interactive widgets directly into your site.

Code Examples

All Languages
PHP
Node.js
Python
C#
cURL
PHP (cURL)
<?php
$clientId = 'YOUR_CLIENT_ID';
$clientSecret = 'YOUR_CLIENT_SECRET';
$code = $_GET['code'];

$ch = curl_init('https://ads.estaql.com/oauth/token');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, [
    'grant_type' => 'authorization_code',
    'client_id' => $clientId,
    'client_secret' => $clientSecret,
    'code' => $code,
    'redirect_uri' => 'YOUR_REDIRECT_URI'
]);

$response = json_decode(curl_exec($ch), true);
$accessToken = $response['access_token'];

// Fetch User Identity
$ch = curl_init('https://ads.estaql.com/api/user');
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
    'Authorization: Bearer ' . $accessToken,
    'Accept: application/json'
]);

$user = json_decode(curl_exec($ch), true);
print_r($user);
?>
Node.js (Axios)
const axios = require('axios');

async function getAccessToken(code) {
    const response = await axios.post('https://ads.estaql.com/oauth/token', {
        grant_type: 'authorization_code',
        client_id: 'YOUR_CLIENT_ID',
        client_secret: 'YOUR_CLIENT_SECRET',
        code: code,
        redirect_uri: 'YOUR_REDIRECT_URI'
    });
    
    return response.data.access_token;
}

async function getUser(accessToken) {
    const response = await axios.get('https://ads.estaql.com/api/user', {
        headers: {
            'Authorization': `Bearer ${accessToken}`,
            'Accept': 'application/json'
        }
    });
    
    return response.data;
}
Python (Requests)
import requests

def get_access_token(code):
    url = "https://ads.estaql.com/oauth/token"
    data = {
        'grant_type': 'authorization_code',
        'client_id': 'YOUR_CLIENT_ID',
        'client_secret': 'YOUR_CLIENT_SECRET',
        'code': code,
        'redirect_uri': 'YOUR_REDIRECT_URI'
    }
    response = requests.post(url, data=data)
    return response.json().get('access_token')

def get_user(access_token):
    url = "https://ads.estaql.com/api/user"
    headers = {
        'Authorization': f'Bearer {access_token}',
        'Accept': 'application/json'
    }
    response = requests.get(url, headers=headers)
    return response.json()
C# (HttpClient)
using System.Net.Http;
using System.Threading.Tasks;

public async Task<string> GetAccessToken(string code) {
    var client = new HttpClient();
    var values = new Dictionary<string, string> {
        { "grant_type", "authorization_code" },
        { "client_id", "YOUR_CLIENT_ID" },
        { "client_secret", "YOUR_CLIENT_SECRET" },
        { "code", code },
        { "redirect_uri", "YOUR_REDIRECT_URI" }
    };

    var content = new FormUrlEncodedContent(values);
    var response = await client.PostAsync("https://ads.estaql.com/oauth/token", content);
    var responseString = await response.Content.ReadAsStringAsync();
    // Parse JSON for access_token...
    return responseString;
}
cURL
# 1. Exchange code for token
curl -X POST https://ads.estaql.com/oauth/token \
     -d "grant_type=authorization_code" \
     -d "client_id=YOUR_CLIENT_ID" \
     -d "client_secret=YOUR_CLIENT_SECRET" \
     -d "code=AUTHORIZATION_CODE" \
     -d "redirect_uri=YOUR_REDIRECT_URI"

# 2. Call API with token
curl -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
     -H "Accept: application/json" \
     https://ads.estaql.com/api/user



.
ضع إعلانك هنا وعلى كل مواقعنا اكثر من 50 موقع للطلب تواصل معنا من هنا

لطلب الإعلان لدينا تواصل معنا واتساب

محاسبون ومراجعون قانونيون | خدمات مالية | دفتر واجبات | قرطاسيات | اشتراك شاهد | اشتراكات | متابعين تيك توك | زيادة نقاط السناب | زيادة مبيعات المتاجر الالكترونية | شركة تسويق الكتروني في السعودية | المهندس نبيل محمد الدم | أفضل متجر عطور إلكتروني | أراميس | دهن العود | أفضل مسك | متجر تسليم فوري | اشتراك شاهد | كورة سيتي | كورة سيتي

استقل مواقع صديقة

سيريال فوتوشوب | خبير SEO | خدمات سيو | اعلانات مجانية | saudi ads | دليل مواقع عربي | العالمي للإعلانات | افضل شركة سيو في السعودية | بوابة الأفق | المهندس نبيل الدم | خبير تسويق الكتروني | خبير seo نبيل الدم | متجر الكتروني في الاردن | تصميم مواقع | خبير سيو في الاردن | فحص سيو | best SEO company Jordan | خدمات تصميم المواقع والمتاجر | منصة استقل للإعلانات وخدمات السيو